Wrike
Authentication & Authorization
Credentials
-
Wrike connects via OAuth 2.0 with Authorization Code flow.
-
Client ID and Client Secret credentials can be obtained through the Wrike account (see the DataGrail Help Docs).
-
DataGrail uses Refresh Token Flow to periodically update Access Token after it expires to keep the connection alive.
-
Publicly exposing your API credentials can allow unauthorized access to the Wrike API endpoints, and your Wrike data by a third party. DataGrail stores your API credentials encrypted and protected.
Scopes
Wrike integration requires the next OAuth scopes:
-
Default -
wsReadOnly -
amReadOnlyInvitation
Base URL
Base URL consists of the Host and API version:
https://{HOST}/api/{API_VERSION}
Example of BASE URL:
https://www.wrike.com/api/v4
Wrike stores customer data in several data centers located in the USA and European Union and you need to use a specific host URL to access the user's data, based on where it is located.
Endpoints Utilized
-
Get and refresh access token:
POST https://login.wrike.com/oauth2/token
-
Requesting authorization code:
POST https://login.wrike.com/oauth2/authorize/api/v4
-
DataGrail uses the following endpoint to validate that connection is good based on a successful response:
GET {BASE_URL}/contacts
Version
Wrike integration currently supports API Version 4 (v4).
Limits
DataGrail processes API responses with HTTP 429 status to interrupt requests, waiting and retrying (using an exponential backoff strategy).
Access
For an access request, DataGrail will take the following actions:
-
Get Contacts by email and phone number using Subject Identifiers.
-
Get Invitations by email using Subject Identifiers.
-
For all objects found, DataGrail will return all available fields. You can edit which objects and fields you want to provide to the Data Subject via our Portal Requests.
DataGrail also supports the Direct Contact Access workflow for Wrike.
Endpoints Utilized
-
GET {BASE_URL}/contacts -
GET {BASE_URL}/invitations -
POST {BASE_URL}/ediscovery_search
Deletion
DataGrail supports the Direct Contact Deletion workflow for Wrike.
Disclaimer: The information contained in this message does not constitute as legal advice. We would advise seeking professional counsel before acting on or interpreting any material.